package cn.pluss.platform.ryx;

import cn.pluss.platform.entity.RyxAccessResp;

import java.util.List;
import java.util.Map;

/**
 * 瑞银信结算信息相关接口
 *
 * @author DJH
 */
public interface RyxTransService {

    /**
     * 获取指定日期期间瑞银信的账单信息
     *
     * @param merInId   瑞银信商户id
     * @param transDateStart 交易开始日期
     * @param transDateEnd
     * @return ignored
     */
    RyxAccessResp reqHistoryTransRecord(String merInId, String transDateStart, String transDateEnd);

    /**
     * 查询当天得结算信息
     *
     * @param merInId 瑞银信商户id
     * @return ignored
     */
    RyxAccessResp reqTodayTransRecord(String merInId);

    /**
     * 查询缺失最近打款记录的用户
     *
     * @param lastDate 最后日期
     * @param page     页码
     * @param size     页长
     * @return ignored
     */
    List<Map<String, Object>> getNoRecentDayUserPage(String lastDate, int page, int size);

    /**
     * 拉取打款数据
     */
    void pullTransRecord();

    /**
     * 拉取昨日打款数据
     */
    void pullYesterdayTransRecord();
}
